# Fixme: mpich version

%global distversion 0.2.1-rc.1
Name:    libcircle
Version: 0.2.1
Release: 0%{?dist}

Source: https://github.com/hpc/libcircle/releases/download/%{distversion}/%{name}-%{distversion}.tar.gz
URL: http://hpc.github.io/libcircle/
Summary: A library used to distribute workloads
License: BSD
BuildRequires: openmpi-devel doxygen check-devel
Requires:      openmpi%{?_isa}

%description
A simple interface for processing workloads using an automatically
distributed global queue.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	openmpi-devel

%description devel
Development files for %name.

# Don't strip binaries
#%%define __os_install_post /usr/lib/rpm/brp-compress
#%%define debug_package %{nil}

###############################################################################

%prep
%setup -q -n %name-%distversion

%build
%_openmpi_load
#%%configure --program-prefix=%{?_program_prefix:%{_program_prefix}}
%configure --enable-tests --disable-static --with-dtcmp=$MPI_HOME CC=mpicc --libdir=$MPI_LIB --includedir=$MPI_INCLUDE

make %{?_smp_mflags}

%install
%_openmpi_load
%makeinstall
mkdir -p %buildroot$MPI_LIB %buildroot$MPI_INCLUDE
mv %buildroot%_libdir/lib* %buildroot%_libdir/pkgconfig %buildroot$MPI_LIB
mv %buildroot%_includedir/*.h %buildroot$MPI_INCLUDE

%check
%_openmpi_load
make check

###############################################################################

%files
%license COPYING
%{_libdir}/openmpi/lib/libcircle.so.*
%exclude %{_libdir}/openmpi/lib/libcircle.la

%files devel
%{_includedir}/openmpi-%_arch/libcircle.h
%{_libdir}/openmpi/lib/libcircle.so
%{_libdir}/openmpi/lib/pkgconfig/libcircle.pc

%changelog

* Thu Sep 14 2017 Dave Love <loveshack@fedoraproject.org> - 0.2.1-0
- Adjust to be Fedora-ish
- Update URL.
